0

I did an upgrade by installing a fresh 1.9.3.6 and then copied back my core files. Now i have a blank page and cant see any errors which make me think it is nearly there.

I looked in the server logs and found

mod_fcgid: stderr: PHP Fatal error: Uncaught Error: Function name must be a string in /var/www/vhosts/xxxxxxx/app/code/local/Mage/Core/Model/Layout.php:555

mod_fcgid: stderr: Stack trace:

mod_fcgid: stderr: #0 /var/www/vhosts/xxxxxxxxx/app/code/local/Mage/Core/Controller/Varien/Action.php(390): Mage_Core_Model_Layout->getOutput()

mod_fcgid: stderr: #1 /var/www/vhosts/xxxxxxxx/app/code/core/Mage/Adminhtml/controllers/IndexController.php(82): Mage_Core_Controller_Varien_Action->renderLayout()

mod_fcgid: stderr: #2 /var/www/vhosts/xxxxxxxxx/app/code/local/Mage/Core/Controller/Varien/Action.php(418): Mage_Adminhtml_IndexController->loginAction()

mod_fcgid: stderr: #3 /var/www/vhosts/xxxxxxxx/app/code/local/Mage/Core/Controller/Varien/Router/Standard.php(254): Mage_Core_Controller_Varien_Action->dispatch()

mod_fcgid: stderr: #4 /var/www/vhosts/xxxxxxxxxx/app/code/local/Mage/Core/Controller/Varien/Front.php(172): Mage_Core_Controller_Varien_Router_Standard->match()

mod_fcgid: stderr: #5 /var/www in /var/www/xxxxxxxxxx/app/code/local/Mage/Core/Model/Layout.php on line 555

I realize this is an old version but I wanted to get it to a newer 1.9 version then make the jump to v2.

The PHP version is 7.4.

1 Answer 1

0

Magento 1.* does not support php7.4.

Start at 7.2. You will need to apply security patches first to get it to work.

The patch file name is git apply PATCH-1.9.3.1-1.9.3.9_PHP7-2018-09-13-08-01-43.2_v2

Patch found here (Download with security in mind)

More information found here

if you run into any issues take a look at this question

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.